package com.yonge.cooleshow.biz.dal.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.yonge.cooleshow.biz.dal.entity.UserOrder;
import com.yonge.cooleshow.biz.dal.enums.ClientEnum;
import com.yonge.toolset.payment.base.enums.OpenEnum;
import com.yonge.toolset.payment.base.enums.PayChannelEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Author: liweifan
 * @Data: 2022-03-30 13:53:51
 */
@ApiModel(value = "UserOrderVo对象", description = "平台订单表查询视图对象")
public class UserOrderVo extends UserOrder {
	private static final long serialVersionUID = 1L;
	@ApiModelProperty("订单详情 ")
	private List<UserOrderDetailVo> orderDetailList;
	@ApiModelProperty("服务提供方: ORIGINAL 微信支付宝 ADAPAY 汇付")
	private OpenEnum openType;
	@ApiModelProperty("支付客户端: STUDENT 学生端 TEACHER 老师端")
	private String paymentClient;
	@ApiModelProperty("支付渠道:  alipay 支付宝  wx_lite 微信 ")
	private PayChannelEnum payChannel;
	@ApiModelProperty("三方交易流水号 ")
	private String transNo;
	@ApiModelProperty("付款订单号 ")
	private String paymentNo;
	@ApiModelProperty("收取的服务费 ")
	private BigDecimal feeAmt;
	@ApiModelProperty("用户昵称")
	private String username;
	@ApiModelProperty(value = "手机号")
	private String phone;

	@ApiModelProperty("优惠券抵扣金额 ")
	private BigDecimal discountPrice;

	public List<UserOrderDetailVo> getOrderDetailList() {
		return orderDetailList;
	}

	public void setOrderDetailList(List<UserOrderDetailVo> orderDetailList) {
		this.orderDetailList = orderDetailList;
	}

	public OpenEnum getOpenType() {
		return openType;
	}

	public void setOpenType(OpenEnum openType) {
		this.openType = openType;
	}

	public PayChannelEnum getPayChannel() {
		return payChannel;
	}

	public void setPayChannel(PayChannelEnum payChannel) {
		this.payChannel = payChannel;
	}

	public String getTransNo() {
		return transNo;
	}

	public void setTransNo(String transNo) {
		this.transNo = transNo;
	}

	public BigDecimal getFeeAmt() {
		return feeAmt;
	}

	public void setFeeAmt(BigDecimal feeAmt) {
		this.feeAmt = feeAmt;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getPaymentNo() {
		return paymentNo;
	}

	public void setPaymentNo(String paymentNo) {
		this.paymentNo = paymentNo;
	}

	public String getPaymentClient() {
		return paymentClient;
	}

	public void setPaymentClient(String paymentClient) {
		this.paymentClient = paymentClient;
	}

	public BigDecimal getDiscountPrice() {
		return discountPrice;
	}

	public void setDiscountPrice(BigDecimal discountPrice) {
		this.discountPrice = discountPrice;
	}
}